[
{
    blockid=manage;
    custom=com.netscape.management.msgserv.nntp.ManageReplications;
    localvar={
	.headers="\u30db\u30b9\u30c8\u540d";
    },
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text="\u5fdc\u7b54\u30db\u30b9\u30c8";
		    font=["","",16];
		    wrap=$g.label.size5;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=table;
		    id=replicationtable;
		    label=adminlabel;
		    showedit=true;
		    buttonsat=east;
		    delimiter=" ";
		    columns=$.headers;
		    columns=[
			{
			    header="\u30db\u30b9\u30c8\u540d";
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{ /* network panel spec */

blockid=addDialog;

localvar =
{
  .ipaddress.space=20;
  .port.space=60;
  .field.height=30;
  .label.left.size=60;
  .label.size=75;

  .out.enabled="\u9001\u4fe1\u30d5\u30a3\u30fc\u30c9\u3092\u6709\u52b9\u5316";
  .out.send = "\u9001\u4fe1: ";
  .out.discussiongroups = "Discussion \u30b0\u30eb\u30fc\u30d7:";
  .out.items=["\u3059\u3079\u3066\u306e\u30c7\u30a3\u30b9\u30ab\u30c3\u30b7\u30e7\u30f3\u30b0\u30eb\u30fc\u30d7","discussion \u30b0\u30eb\u30fc\u30d7\u306a\u3057","\u6307\u5b9a\u3055\u308c\u305f discussion \u30b0\u30eb\u30fc\u30d7","\u6307\u5b9a\u306e\u30c7\u30a3\u30b9\u30ab\u30c3\u30b7\u30e7\u30f3\u30b0\u30eb\u30fc\u30d7\u4ee5\u5916\u306e\u3059\u3079\u3066"];
  .out.internalhost = "\u30ea\u30e2\u30fc\u30c8\u30db\u30b9\u30c8\u3092\u5185\u90e8\u30db\u30b9\u30c8\u3068\u3057\u3066\u6307\u5b9a";
  .conn.host="\u30ea\u30e2\u30fc\u30c8\u30db\u30b9\u30c8\u540d:";
  .conn.domain="\u30c9\u30e1\u30a4\u30f3:";
  .conn.ip="IP \u30a2\u30c9\u30ec\u30b9:";
  .conn.port="\u30dd\u30fc\u30c8:";
  .conn.maxreaders="\u6700\u5927\u30e6\u30fc\u30b6\u30fc\u6570:";
  .conn.maxfeeds="\u6700\u5927\u30d5\u30a3\u30fc\u30c9\u6570:";
  .conn.timeout="\u30bf\u30a4\u30e0\u30a2\u30a6\u30c8:";
  .conn.user="\u30b5\u30fc\u30d0\u30fc\u30e6\u30fc\u30b6\u30fc:";
  .conn.port="\u30ea\u30e2\u30fc\u30c8\u30b5\u30fc\u30d0\u30fc\u306e\u30dd\u30fc\u30c8:";
  .conn.port.userdefine = "\u3053\u306e\u30dd\u30fc\u30c8\u3092\u4f7f\u7528:";
  .conn.port.default = "\u30dd\u30fc\u30c8 119 \u3092\u4f7f\u7528 (\u3053\u306e\u30b5\u30fc\u30d0\u30fc\u3068\u540c\u3058)";
  .conn.ssl = "\u9001\u4fe1\u63a5\u7d9a\u306e SSL \u8a2d\u5b9a:";
  .conn.ssl.ofserver = "\u3053\u306e\u30b5\u30fc\u30d0\u30fc\u306e SSL \u8a2d\u5b9a\u3092\u4f7f\u7528";
  .conn.ssl.remotessl = "\u30ea\u30e2\u30fc\u30c8\u30b5\u30fc\u30d0\u30fc\u3067 SSL \u3092\u4f7f\u7528\u3057\u3066\u3044\u307e\u3059";
  .conn.ssl.remotenossl = "\u30ea\u30e2\u30fc\u30c8\u30b5\u30fc\u30d0\u30fc\u3067 SSL \u3092\u4f7f\u7528\u3057\u3066\u3044\u307e\u305b\u3093";
  .conn.replica="\u30ea\u30e2\u30fc\u30c8\u30db\u30b9\u30c8\u3092\u540c\u671f\u3057\u305f\u30ea\u30d7\u30ea\u30ab\u3068\u3057\u3066\u6307\u5b9a";
  .conn.replicavalue=false;

  .in.active = "\u53d7\u4fe1\u30d5\u30a3\u30fc\u30c9\u3092\u6709\u52b9\u5316";
  .in.newgroup = "\u30b0\u30eb\u30fc\u30d7\u7528\u306e newgroup \u30b3\u30f3\u30c8\u30ed\u30fc\u30eb\u30a2\u30fc\u30c6\u30a3\u30af\u30eb\u306e\u53d7\u7406:";
  .in.newgroup.action = "newgroup \u30b3\u30f3\u30c8\u30ed\u30fc\u30eb\u30a2\u30fc\u30c6\u30a3\u30af\u30eb\u3092\u53d7\u3051\u53d6\u3063\u305f\u5834\u5408: ";
  .in.newgroup.choices = ["\u30b0\u30eb\u30fc\u30d7\u306e\u4f5c\u6210", "\u96fb\u5b50\u30e1\u30fc\u30eb\u3092\u7ba1\u7406\u8005\u306b\u9001\u4fe1","\u30ed\u30b0\u30a8\u30f3\u30c8\u30ea\u306e\u4f5c\u6210","\u7121\u8996" ];
  .in.rmgroup = "\u30b0\u30eb\u30fc\u30d7\u7528\u306e newgroup \u30b3\u30f3\u30c8\u30ed\u30fc\u30eb\u30a2\u30fc\u30c6\u30a3\u30af\u30eb\u306e\u53d7\u7406:";
  .in.rmgroup.action = "newgroup \u30b3\u30f3\u30c8\u30ed\u30fc\u30eb\u30a2\u30fc\u30c6\u30a3\u30af\u30eb\u3092\u53d7\u3051\u53d6\u3063\u305f\u5834\u5408: ";
  .in.rmgroup.choices = ["\u30b0\u30eb\u30fc\u30d7\u306e\u4f5c\u6210", "\u96fb\u5b50\u30e1\u30fc\u30eb\u3092\u7ba1\u7406\u8005\u306b\u9001\u4fe1","\u30ed\u30b0\u30a8\u30f3\u30c8\u30ea\u306e\u4f5c\u6210","\u7121\u8996" ];


  .rest.title=[titled, "\u63a5\u7d9a\u306e\u5236\u7d04"];
  .rest.require.login="\u63a5\u7d9a\u6642\u306e\u30e6\u30fc\u30b6\u30fc\u8a8d\u8a3c";
  .rest.hcl.enable="\u30db\u30b9\u30c8\u5236\u9650\u3092\u6709\u52b9\u5316";
  .rest.hcl.table.perm.header="\u6a29\u9650";
  .rest.hcl.table.patt.header="\u30db\u30b9\u30c8\u30d1\u30bf\u30fc\u30f3";
  .rest.hcl.perm.labels=["\u8a31\u53ef", "\u62d2\u5426"];
  .rest.hcl.perm.items=["+", "-"];

  .service.nntp.service.user=nsnews;
  .service.nntp.network.servername="andy.mcom.com";
  .service.nntp.network.domain="mcom.com";
  .service.nntp.network.port=119;
  .service.nntp.network.maxreaders=50;
  .service.nntp.network.maxfeeds=10;
  .service.nntp.network.timeout=240;
  .service.nntp.network.dohostcontrol="true";
  .service.nntp.network.requirelogin="true";
  .service.nntp.network.ipaddress="";
  .service.nntp.network.accepthosts=
  [
    ["+", "*.mcom.com"],
    ["+", "*.netscape.com"],
    ["-", "*.microsoft.com"]
  ];
};

content=
[
  { /* Hostname panel */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* host name label */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.conn.host;
            id=connhost;
            label=hostname;
          }, /* End host name label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* host name textfield */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$hostname;
          } /* End name textfield */
        ]
      }
    ]
  }, /* End Hostname Panel */
  { /* seperated component space */
    ctrl=vstrut;
    size=$.g.comp.space.sep;
  },
  {
    ctrl=togglepane;
    text=$.conn.replica;
    val=$replica;
    modeinverse=true;
    content =
    [
      { /* start of Outgoing settings frame */
        ctrl=togglepane;
        text=$.out.enabled;
        val=$outgoing;
        /*ctrl=pane;
        border=$.conn.title;*/
        content=
        [ /* start of conn. settings contents */

          { /* pane containing seperated left and right input fields */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* pane containing seperated left and right input fields */

              { /* input fields that are on the left */
                ctrl=pane;
                layout=[ybox];
                content=
                [ /* contents in left input fields */

                  { /* Start of Send: Combo boxe */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of host name */
                      { /* Send label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.send;
                        id=connhost;
                        label=hostname;
                      }, /* host name label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Send discussion group choice */
                        ctrl=choice;
                        items = $.out.items;
                        aligny=0.5;
                        label=hostname;
                        val=$sendtype;
                      } /* Send discussion group choice */
                    ] /* host name contents */
                  }, /* End of hostname field */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Domain */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of Discussion group regular expression text field */
                      { /* Discussion groups */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.out.discussiongroups;
                        id=conndomain;
                        label=domain;
                      }, /* Domain label */

                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */

                      { /* Discussion group regular expression textfield */
                        ctrl=text;
                        aligny=0.5;
                        label=domain;
                        val=$sendpattype;
                      } /* Discussion group regular expression textfield */
                    ] /* Discussion group contents */
                  }, /* End of Discussion group */

                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },

                  { /* Feed Port */
                    ctrl=pane;
                    layout=[xbox];
                    content=
                    [ /* contents of port */
                      { /* port label */
                        ctrl=label;
                        wrap=$.label.left.size;
                        alignh=right;
                        aligny=0.5;
                        text=$.conn.port;
                        id=connip;
                        label=ipaddress;
                      }, /* port label */
                      { /* comp. space */
                        ctrl=hstrut;
                        size=$.g.comp.space;
                      }, /* comp. space */
                      {
                        ctrl=text;
                        aligny=0.5;
                        label=outgoingport;
                        val=$outport;
                      }
                     ]
                  },
                  { /* vertical spacing between components */
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  { /* SSL Settings */
                    ctrl=choice;
                    style=radio;
                    items=["\u3053\u306e\u30b5\u30fc\u30d0\u30fc\u306e SSL \u8a2d\u5b9a\u3092\u4f7f\u7528","\u30ea\u30e2\u30fc\u30c8\u30b5\u30fc\u30d0\u30fc\u3067 SSL \u3092\u4f7f\u7528\u3057\u3066\u3044\u307e\u3059","\u30ea\u30e2\u30fc\u30c8\u30b5\u30fc\u30d0\u30fc\u3067 SSL \u3092\u4f7f\u7528\u3057\u3066\u3044\u307e\u305b\u3093"];
                    /*labels=["\u3053\u306e\u30b5\u30fc\u30d0\u30fc\u306e SSL \u8a2d\u5b9a\u3092\u4f7f\u7528","\u30ea\u30e2\u30fc\u30c8\u30b5\u30fc\u30d0\u30fc\u3067 SSL \u3092\u4f7f\u7528\u3057\u3066\u3044\u307e\u3059","\u30ea\u30e2\u30fc\u30c8\u30b5\u30fc\u30d0\u30fc\u3067 SSL \u3092\u4f7f\u7528\u3057\u3066\u3044\u307e\u305b\u3093"];*/
                    val=$ssl;
                  },
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space;
                  },
                  {
                    ctrl=togglepane;
                    text=$.out.internalhost;
                    val=$internal;
                  }
                ] /* contents in left input fields */
              } /* input fields that are on the left */

            ] /* pane containing seperated left and right input fields */
          } /* pane containing seperated left and right input fields */

        ] /* end of conn. settings contents */
      }, /* end of connection settings group */
      { /* seperated component space */
        ctrl=vstrut;
        size=$.g.comp.space.sep;
      },
      { /* Start of incoming settings */
        ctrl=togglepane;
        text=$.in.active;
        val=$incoming;
        content=
        [ /* newgroup control article */
          {
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* newgroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$newgrouppat;
                  } /* newgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When newgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.newgroup.action;
                    val=$.service.nntp.network.requirelogin;
                  }, /* When newgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When newgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.newgroup.choices;
                    val=$newgroupaction;
                  } /* newgroup textbox */
                ]
              }

            ]
          },
          { /* rmgroup contents */
            ctrl=pane;
            layout=[ybox];
            content=
            [
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup;
                    val=$.service.nntp.network.requirelogin;
                  }, /* rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* rmroup textbox */
                    ctrl=text;
                    alignh=left;
                    aligny=0.5;
                    val=$rmgrouppat;
                  } /* rmgroup textbox */
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space.sep;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=
                [
                  { /* When rmgroup control label */
                    ctrl=label;
                    alignh=right;
                    aligny=0.5;
                    text=$.in.rmgroup.action;
                    val=$rmgroupaction;
                  }, /* When rmgroup control label */
                  {
                    ctrl=vstrut;
                    size=$.g.comp.space.sep;
                  },
                  { /* When rmgroup choice */
                    ctrl=choice;
                    alignh=right;
                    aligny=0.5;
                    items=$.in.rmgroup.choices;
                    val=$.service.nntp.network.dohostcontrol;
                  } /* rmgroup textbox */
                ]
              }

            ]
          }

        ] /* restrictions group contents */
      } /* End of connection restrictions group */

    ] /* END OF TOGGLE REPLICA PANEL */
  }

]; /* network panel contents */

} /* network panel spec */
]
